Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class Message

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.Message

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class Message extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType"/>
             <element name="Destination" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType"/>
             <element name="Sender" type="{urn:be:fgov:ehealth:ehbox:core:v3}SenderType"/>
             <element name="MessageInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageInfoType"/>
             <element name="ContentInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}ContentInfoType" minOccurs="0"/>
             <element name="ContentSpecification" type="{urn:be:fgov:ehealth:ehbox:core:v3}ContentSpecificationType"/>
             <element name="CustomMeta" type="{urn:be:fgov:ehealth:ehbox:core:v3}CustomMetaType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContentInfoType`
  `getContentInfo()`
  Info about the message content, without transmitting everything
  `ContentSpecificationType`
  `getContentSpecification()`
  Gets the value of the contentSpecification property.
  `List<CustomMetaType>`
  `getCustomMetas()`
  Meta specified by the user Gets the value of the customMetas property.
  `EhboxIdentifierType`
  `getDestination()`
  This indicates which of my ehboxes received the message.
  `String`
  `getMessageId()`
  Gets the value of the messageId property.
  `MessageInfoType`
  `getMessageInfo()`
  Short message details
  `SenderType`
  `getSender()`
  The official sender of the message
  `void`
  `setContentInfo(ContentInfoType value)`
  Sets the value of the contentInfo property.
  `void`
  `setContentSpecification(ContentSpecificationType value)`
  Sets the value of the contentSpecification property.
  `void`
  `setDestination(EhboxIdentifierType value)`
  Sets the value of the destination property.
  `void`
  `setMessageId(String value)`
  Sets the value of the messageId property.
  `void`
  `setMessageInfo(MessageInfoType value)`
  Sets the value of the messageInfo property.
  `void`
  `setSender(SenderType value)`
  Sets the value of the sender property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### getMessageId

    public String getMessageId()
    Gets the value of the messageId property.
    Returns:
      possible object is `String`

  - ### setMessageId

    public void setMessageId(String value)
    Sets the value of the messageId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDestination

    public EhboxIdentifierType getDestination()
    This indicates which of my ehboxes received the message. This doesn't display all the recipients, only me.
    Returns:
      possible object is `EhboxIdentifierType`

  - ### setDestination

    public void setDestination(EhboxIdentifierType value)
    Sets the value of the destination property.
    Parameters:
      `value` - allowed object is `EhboxIdentifierType`
    See Also:
      - `getDestination()`

  - ### getSender

    public SenderType getSender()
    The official sender of the message
    Returns:
      possible object is `SenderType`

  - ### setSender

    public void setSender(SenderType value)
    Sets the value of the sender property.
    Parameters:
      `value` - allowed object is `SenderType`
    See Also:
      - `getSender()`

  - ### getMessageInfo

    public MessageInfoType getMessageInfo()
    Short message details
    Returns:
      possible object is `MessageInfoType`

  - ### setMessageInfo

    public void setMessageInfo(MessageInfoType value)
    Sets the value of the messageInfo property.
    Parameters:
      `value` - allowed object is `MessageInfoType`
    See Also:
      - `getMessageInfo()`

  - ### getContentInfo

    public ContentInfoType getContentInfo()
    Info about the message content, without transmitting everything
    Returns:
      possible object is `ContentInfoType`

  - ### setContentInfo

    public void setContentInfo(ContentInfoType value)
    Sets the value of the contentInfo property.
    Parameters:
      `value` - allowed object is `ContentInfoType`
    See Also:
      - `getContentInfo()`

  - ### getContentSpecification

    public ContentSpecificationType getContentSpecification()
    Gets the value of the contentSpecification property.
    Returns:
      possible object is `ContentSpecificationType`

  - ### setContentSpecification

    public void setContentSpecification(ContentSpecificationType value)
    Sets the value of the contentSpecification property.
    Parameters:
      `value` - allowed object is `ContentSpecificationType`

  - ### getCustomMetas

    public List<CustomMetaType> getCustomMetas()
    Meta specified by the user Gets the value of the customMetas property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the customMetas property.

    For example, to add a new item, do as follows:

         getCustomMetas().add(newItem);

    Objects of the following type(s) are allowed in the list `CustomMetaType`

    Returns:
      The value of the customMetas property.